require 'rails/generators/base'

module KContactable
  module Generators
    class InstallGenerator < Rails::Generators::Base
      source_root File.expand_path('templates', __dir__)

      def copy_migrations
        rake "k_contactable_engine:install:migrations"
        rake "db:migrate"
      end

      def copy_locales
        copy_file "../../../../config/locales/en.yml", "config/locales/contactable.en.yml"
        copy_file "../../../../config/locales/es.yml", "config/locales/contactable.es.yml"
      end

      def add_route
        # Sisnce this engine isn't mountable, don't need to be mounted, so remove this line
        # route "mount Contactable::Engine => '/contacts'"
      end
    end
  end
end
